%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}

Summary: GNOME Assistive Technology Service Provider Interface
Name: at-spi
Version: 1.6.4
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: LGPL
Url: http://developer.gnome.org/projects/gap/
Group: Accessibility
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk-doc >= 0.9
Buildrequires:	libbonobo2_x-devel >= 1.107.0
BuildRequires:  atk-devel >= 1.7.2
BuildRequires:	libgail-devel >= 1.3.0
BuildRequires:  perl-XML-Parser

%description
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.

%package -n %{lib_name}
Summary:	GNOME Assistive Technology Service Provider Interface
Group:		%{group}

Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for at-spi
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:   libbonobo2_x-devel
Requires:   libgail-devel

%description -n %{lib_name}-devel
This is the Early Access Release of the Gnome Accessibility Project's
Assistive Technology Service Provider Interface.


%prep
%setup -q

%build

%configure2_5x --enable-gtk-doc=yes

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la \
  $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO 
%{_libexecdir}/at-spi-registryd
%{_libdir}/gtk-2.0/modules/*.so
%{_libdir}/orbit-2.0/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Wed May 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.4-1mdk
- New release 1.6.4

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-1mdk
- New release 1.6.2

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- New release 1.6.0

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-3mdk
- Enable libtoolize

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-2mdk
- Fix Buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- New release 1.4.2

* Tue Apr  6 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- New release 1.4.0

* Wed Dec 31 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.9-3mdk
- remove versioned BuildRequires

* Wed Dec 31 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.9-2mdk
- BuildRequires intltool >= 0.28

* Fri Dec 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.9-1mdk
- Release 1.3.9

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.8-1mdk
- Release 1.3.8

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.7-1mdk
- Release 1.3.7

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.6-2mdk
- Fix BuildRequires 

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.6-1mdk
- Release 1.3.6

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.5-1mdk
- Release 1.3.5

* Tue Jun 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.4-1mdk
- Release 1.3.4
- remove patches 0 & 1 (merged upstream)

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-2mdk
- Patch0 (CVS): add missing headers
- Patch1 (CVS): don't use linc call, use CORBA directly.
- Rebuild against latest libbonobo

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.2-1mdk
- Release 1.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.1-1mdk
- Release 1.3.1
- Remove patch0 (merged upstream)

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.3.0-1mdk
- Release 1.3.0
- Patch0: fix build

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.9-1mdk
- Release 1.1.9
- Remove patch0 (merged upstream)

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.8-1mdk
- Release 1.1.8

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.6-1mdk
- Release 1.1.6

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.5-2mdk
- Patch0: lib64 awaaaaare'zification!

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-1mdk
- Release 1.1.2

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Recompiled against gail 0.17

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Fix dependencies

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Remove patch0 (merged upstream)

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-2mdk
- Patch0 (CVS): fix missing include

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-1mdk
- Release 0.10.0
- Remove patch0 (merged upstream)

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.8-1mdk
- Initial Mdk package
- Patch0 (CVS): fix compilation with gtk+ 2.0.0


# end of file
